<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>EntryUtils (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="EntryUtils (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EntryUtils.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/EntryNode.html"
               title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
               title="enum in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/filesystem/EntryUtils.html" target="_top">Frames</a>
        </li>
        <li><a href="EntryUtils.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.poifs.filesystem</div>
    <h2 title="Class EntryUtils" class="title">Class EntryUtils</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.poifs.filesystem.EntryUtils</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public final class <span class="typeNameLabel">EntryUtils</span>
extends java.lang.Object</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/EntryUtils.html#areDirectoriesIdentical-org.apache.poi.poifs.filesystem.DirectoryEntry-org.apache.poi.poifs.filesystem.DirectoryEntry-">areDirectoriesIdentical</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a>&nbsp;dirA,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                       title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a>&nbsp;dirB)</code>
                                    <div class="block">Checks to see if the two Directories hold the same contents.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/EntryUtils.html#areDocumentsIdentical-org.apache.poi.poifs.filesystem.DocumentEntry-org.apache.poi.poifs.filesystem.DocumentEntry-">areDocumentsIdentical</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DocumentEntry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">DocumentEntry</a>&nbsp;docA,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/DocumentEntry.html"
                                       title="interface in org.apache.poi.poifs.filesystem">DocumentEntry</a>&nbsp;docB)</code>
                                    <div class="block">Compares two <a
                                            href="../../../../../org/apache/poi/poifs/filesystem/DocumentEntry.html"
                                            title="interface in org.apache.poi.poifs.filesystem"><code>DocumentEntry</code></a>
                                        instances of a POI file system.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/EntryUtils.html#copyNodeRecursively-org.apache.poi.poifs.filesystem.Entry-org.apache.poi.poifs.filesystem.DirectoryEntry-">copyNodeRecursively</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">Entry</a>&nbsp;entry,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                       title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a>&nbsp;target)</code>
                                    <div class="block">Copies an Entry into a target POIFS directory, recursively</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/EntryUtils.html#copyNodes-org.apache.poi.poifs.filesystem.DirectoryEntry-org.apache.poi.poifs.filesystem.DirectoryEntry-">copyNodes</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a>&nbsp;sourceRoot,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                       title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a>&nbsp;targetRoot)</code>
                                    <div class="block">Copies all the nodes from one POIFS Directory to another</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/EntryUtils.html#copyNodes-org.apache.poi.poifs.filesystem.POIFSFileSystem-org.apache.poi.poifs.filesystem.POIFSFileSystem-">copyNodes</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;source,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                       title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;target)</code>
                                    <div class="block">Copies all nodes from one POIFS to the other</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/EntryUtils.html#copyNodes-org.apache.poi.poifs.filesystem.POIFSFileSystem-org.apache.poi.poifs.filesystem.POIFSFileSystem-java.util.List-">copyNodes</a></span>(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;source,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                       title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;target,
                                    java.util.List&lt;java.lang.String&gt;&nbsp;excepts)</code>
                                    <div class="block">Copies nodes from one POIFS to the other, minus the excepts.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="copyNodeRecursively-org.apache.poi.poifs.filesystem.Entry-org.apache.poi.poifs.filesystem.DirectoryEntry-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>copyNodeRecursively</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public static&nbsp;void&nbsp;copyNodeRecursively(<a href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                                    title="interface in org.apache.poi.poifs.filesystem">Entry</a>&nbsp;entry,
                                                 <a href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                                    title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a>&nbsp;target)
                                          throws java.io.IOException</pre>
                                <div class="block">Copies an Entry into a target POIFS directory, recursively</div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="copyNodes-org.apache.poi.poifs.filesystem.DirectoryEntry-org.apache.poi.poifs.filesystem.DirectoryEntry-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>copyNodes</h4>
                                <pre>public static&nbsp;void&nbsp;copyNodes(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a>&nbsp;sourceRoot,
                             <a href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a>&nbsp;targetRoot)
                      throws java.io.IOException</pre>
                                <div class="block">Copies all the nodes from one POIFS Directory to another</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>sourceRoot</code> - is the source Directory to copy from</dd>
                                    <dd><code>targetRoot</code> - is the target Directory to copy to</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="copyNodes-org.apache.poi.poifs.filesystem.POIFSFileSystem-org.apache.poi.poifs.filesystem.POIFSFileSystem-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>copyNodes</h4>
                                <pre>public static&nbsp;void&nbsp;copyNodes(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;source,
                             <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;target)
                      throws java.io.IOException</pre>
                                <div class="block">Copies all nodes from one POIFS to the other</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>source</code> - is the source POIFS to copy from</dd>
                                    <dd><code>target</code> - is the target POIFS to copy to</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="copyNodes-org.apache.poi.poifs.filesystem.POIFSFileSystem-org.apache.poi.poifs.filesystem.POIFSFileSystem-java.util.List-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>copyNodes</h4>
                                <pre>public static&nbsp;void&nbsp;copyNodes(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                        title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;source,
                             <a href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;target,
                             java.util.List&lt;java.lang.String&gt;&nbsp;excepts)
                      throws java.io.IOException</pre>
                                <div class="block">Copies nodes from one POIFS to the other, minus the excepts.
                                    This delegates the filtering work to <a
                                            href="../../../../../org/apache/poi/poifs/filesystem/FilteringDirectoryNode.html"
                                            title="class in org.apache.poi.poifs.filesystem"><code>FilteringDirectoryNode</code></a>,
                                    so excepts can be of the form "NodeToExclude" or
                                    "FilteringDirectory/ExcludedChildNode"
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>source</code> - is the source POIFS to copy from</dd>
                                    <dd><code>target</code> - is the target POIFS to copy to</dd>
                                    <dd><code>excepts</code> - is a list of Entry Names to be excluded from the copy
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="areDirectoriesIdentical-org.apache.poi.poifs.filesystem.DirectoryEntry-org.apache.poi.poifs.filesystem.DirectoryEntry-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>areDirectoriesIdentical</h4>
                                <pre>public static&nbsp;boolean&nbsp;areDirectoriesIdentical(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a>&nbsp;dirA,
                                              <a href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                                 title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a>&nbsp;dirB)</pre>
                                <div class="block">Checks to see if the two Directories hold the same contents.
                                    For this to be true, they must have entries with the same names,
                                    no entries in one but not the other, and the size+contents
                                    of each entry must match, and they must share names.
                                    To exclude certain parts of the Directory from being checked,
                                    use a <a
                                            href="../../../../../org/apache/poi/poifs/filesystem/FilteringDirectoryNode.html"
                                            title="class in org.apache.poi.poifs.filesystem"><code>FilteringDirectoryNode</code></a>
                                </div>
                            </li>
                        </ul>
                        <a name="areDocumentsIdentical-org.apache.poi.poifs.filesystem.DocumentEntry-org.apache.poi.poifs.filesystem.DocumentEntry-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>areDocumentsIdentical</h4>
                                <pre>public static&nbsp;boolean&nbsp;areDocumentsIdentical(<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DocumentEntry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">DocumentEntry</a>&nbsp;docA,
                                            <a href="../../../../../org/apache/poi/poifs/filesystem/DocumentEntry.html"
                                               title="interface in org.apache.poi.poifs.filesystem">DocumentEntry</a>&nbsp;docB)
                                     throws java.io.IOException</pre>
                                <div class="block">Compares two <a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DocumentEntry.html"
                                        title="interface in org.apache.poi.poifs.filesystem"><code>DocumentEntry</code></a>
                                    instances of a POI file system.
                                    Documents that are not property set streams must be bitwise identical.
                                    Property set streams must be logically equal.<p>

                                        (Their parent directories are not checked)</div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/EntryUtils.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/EntryNode.html"
               title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/FileMagic.html"
               title="enum in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/filesystem/EntryUtils.html" target="_top">Frames</a>
        </li>
        <li><a href="EntryUtils.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
